Favicon

You are here: Home > API Reference > App Distribution > Build Downloads Info > Get list of download by user

Get list of download by user

Required Permission: mad.download.management.list

Get list of download by user

GET
https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/builds/{buildId}/downloads/by-user
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/builds/{buildId}/downloads/by-user" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/builds/{buildId}/downloads/by-user", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/apps/{applicationId}/builds/{buildId}/downloads/by-user",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
applicationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
buildId string
required
Match pattern: ^[a-fA-F0-9]{24}$

email string
optional
≤ 128 characters
iniDate string
optional
Format: date-time
endDate string
optional
Format: date-time

Responses

200 Response application/json
status boolean optional
data array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
total integer optional
≥ 0
member object optional
type string optional
user employee mdmUser otpUser unknown anonymous
memberId string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
picture string optional
downloads array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
from string optional
store sdk dashboard integrationApi emm adm scim agent win
build object optional
info object optional
device object optional
os object optional
networkInfo object optional
createdAt string optional
Format: date-time
updatedAt string optional
Format: date-time
{
    "status": true,
    "data": [
        {
            "id": "string",
            "total": 0,
            "member": {
                "type": "user",
                "memberId": "string",
                "email": "[email protected]",
                "firstName": "string",
                "lastName": "string",
                "picture": "string"
            },
            "downloads": [
                {
                    "id": "string",
                    "from": "store",
                    "build": {
                        "id": "string",
                        "os": "ios",
                        "buildPlatform": "string",
                        "icon": "string",
                        "versionName": "string"
                    },
                    "info": {},
                    "device": {
                        "model": "string",
                        "type": "string"
                    },
                    "os": {
                        "name": "string",
                        "version": "string"
                    },
                    "networkInfo": {
                        "ip": "string",
                        "city": "string",
                        "continent": "string",
                        "country": "string",
                        "latitude": 0,
                        "longitude": 0,
                        "postalCode": "string",
                        "region": "string",
                        "regionCode": "string",
                        "timezone": "string",
                        "visitor": "string"
                    },
                    "createdAt": "2024-01-01T00: 00:00Z",
                    "updatedAt": "2024-01-01T00: 00:00Z"
                }
            ]
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}